#include <Servo.h>

Servo servo_pin_5;
Servo servo_pin_11;
Servo servo_pin_10;
Servo servo_pin_9;
int vec_angle[4];


void initarray();
void initservo();

void setup()
{
  servo_pin_5.attach(5);
  servo_pin_11.attach(11);
  servo_pin_10.attach(10);
  servo_pin_9.attach(9);
  for (int i=0;i<4;i++) vec_angle[i]=0;

  initarray();

  for (int i = 0; i < 4; ++i )
  {
    initservo();
    servo_pin_5.write( 40 );
    delay( 1000 );
    servo_pin_11.write( 45 );
    delay( 1000 );
    servo_pin_10.write( 90 );
    delay( 1000 );
    servo_pin_9.write( 135 );
    delay( 1000 );
    
    servo_pin_5.write( 25 );
    delay( 1000 );
    servo_pin_9.write( 155 );
    delay( 1000 );
    servo_pin_10.write( 35 );
    delay( 1000 );
    servo_pin_11.write( 135 );
    delay( 1000 );
    servo_pin_10.write( 75 );
    delay( 1000 );
    servo_pin_9.write( 100 );
    delay( 1000 );
    
    servo_pin_5.write( 40 );
    delay( 1000 );
  }

}

void loop()
{
}

void initservo()
{
  servo_pin_11.write( vec_angle[0] );
  servo_pin_10.write( vec_angle[1] );
  servo_pin_9.write( vec_angle[2] );
  servo_pin_5.write( vec_angle[3] );
  delay( 200 );
}

void initarray()
{
  vec_angle[0] = 90 ;
  vec_angle[1] = 90 ;
  vec_angle[2] = 90 ;
  vec_angle[3] = 25 ;
}


